Bug 124534 - CAN-2004-0504/5/6/7 Ethereal 0.10.4 contains security fixes
CAN-2004-0504/5/6/7 Ethereal 0.10.4 contains security fixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ethereal (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.ethereal.com/appnotes/enpa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 06:42 EDT by Mark J. Cox
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 08:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:234 normal SHIPPED_LIVE Moderate: ethereal security update 2004-06-09 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2004-05-27 06:42:47 EDT
Issues have been discovered in the following protocol dissectors:

    * A SIP packet could make Ethereal crash under specific
conditions, as described in the following message:
      http://www.ethereal.com/lists/ethereal-users/200405/msg00018.html
      (0.10.3).
    * The AIM dissector could throw an assertion, causing Ethereal to
terminate abnormally (0.10.3).
    * It was possible for the SPNEGO dissector to dereference a null
pointer, causing a crash (0.9.8 to 0.10.3).
    * The MMSE dissector was susceptible to a buffer overflow. (0.10.1
to 0.10.3). 

        Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        Affects: 3AS 3WS 3ES 3Desktop

Note that a number of crashes have been reported in 0.10.4 on
ethereal-users therefore suggest a backport of these fixes to 0.10.3

Note date on ethereal advisory states "March 22nd" but this is
incorrect, it should be "May 13th" (mailed Gerald with correction). 
CVE names applied for.
Comment 1 Mark J. Cox 2004-06-01 17:26:53 EDT
CAN-2004-0504/5/6/7
Comment 2 Mark J. Cox 2004-06-09 08:50:26 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-234.html

Note You need to log in before you can comment on or make changes to this bug.